org.apache.hadoop.mapreduce.split

## Class SplitMetaInfoReader

- java.lang.Object
- - org.apache.hadoop.mapreduce.split.SplitMetaInfoReader

-     @InterfaceAudience.Private
       @InterfaceStability.Unstable
      public class SplitMetaInfoReader
      extends Object

  A utility that reads the split meta info and creates split meta info objects

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SplitMetaInfoReader()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static JobSplit.TaskSplitMetaInfo[]` | `readSplitMetaInfo(JobID jobId, org.apache.hadoop.fs.FileSystem fs, org.apache.hadoop.conf.Configuration conf, org.apache.hadoop.fs.Path jobSubmitDir)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SplitMetaInfoReader

          public SplitMetaInfoReader()

  - ### Method Detail

    - #### readSplitMetaInfo

          public static JobSplit.TaskSplitMetaInfo[] readSplitMetaInfo(JobID jobId,
                                                                       org.apache.hadoop.fs.FileSystem fs,
                                                                       org.apache.hadoop.conf.Configuration conf,
                                                                       org.apache.hadoop.fs.Path jobSubmitDir)
                                                                throws IOException

      Throws:
        `IOException`

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.